@media (max-width: 1250px) {
    .header__text {
        margin-right: 0;
        margin-left: 10px;
    }

    .header__title {
        font-size: 55px;
    }

    .header__image {
        width: 60vw;
        height: auto;
    }

    .yellow__dotted,
    .yellow__square,
    .thinking__problem {
        display: none;
    }

    .description__text,
    .problem__description,
    .solution__description {
        margin: 30px 10px;
    }
}

@media (max-width: 1148px) {
    .square__img,
    .intersect__img {
        display: none;
    }

    .case__cards {
        gap: 70px;
    }
}

@media (max-width: 1024px) {
    .header__container-wrapper {
        margin-right: 0;
    }
    
    .header__container {
        padding: 0 10px;
    }
    .header__image {
        padding: 0 10px;
        width: 55vw;
    }

    .solution__heading {
        font-size: 40px;
    }

    .case__heading {
        margin-left: 20px;
        font-size: 38px;
    }

    .case__cards {
        justify-content: center;
        flex-wrap: wrap;
        /* margin-left: 20px; */
        gap: 60px;
    }

    .footer__heading {
        margin-left: 10px;
    }

    .form {
        margin-left: 10px;
    }
}


@media (max-width: 950px) {
    .download-bg {
        width: 45vw;
        height: auto;
    }

    .footer__download-content {
        top: 60%;
        left: 50%;
    }
}

@media (max-width: 768px) {
    .header__container {
        justify-content: center;
        align-items: center;
    }

    .header__text {
        margin-left: 20px;
    }

    .header__actions {
        flex-direction: column;
    }

    .header__image {
        display: none;
    }

    .header__subtitle {
        width: 413px;
    }

    .problem {
        margin-top: 20px;
        padding-bottom: 20px;
    }

    .solution__heading {
        margin-left: 10px;
        font-size: 38px;
    }

    .description__features,
    .problem__features,
    .solution__features {
        margin-left: 10px;
        margin-right: 10px;
    }

    .case__wrapper {
        margin-top: 60px;
    }

    .solution__image {
        display: none;
    }

    .case__heading {
        margin-left: 10px;
    }

    .case__item {
        margin-left: 20px;
    }

    .case__cards {
        display: flex;
        justify-content: center;
    }

    .download-bg {
        width: 45vw;
        height: auto;
    }

    .footer {
        margin-top: 30px;
    }

    .footer__download-content {
        top: 60%;
        left: 50%;
    }

    .footer__heading {
        margin-left: 10px;
    }

    .form {
        margin-left: 10px;
    }
}

@media (max-width: 740px) {
    .download-wrapper {
        display: none;
    }

    .footer__wrapper {
        justify-content: center;
        align-items: center;
    }
}

@media (max-width: 426px) {
    .header__container {
        display: flex;
        margin: 0 auto;
        justify-content: space-between;
        align-items: center;
        align-content: center;
    }

    .solution {
        margin-top: 20px;
    }

    .description__wrapper,
    .problem__wrapper,
    .solution__wrapper {
        width: calc(100% - 20px);
        padding: 0 20px;
        box-sizing: border-box;
    }

    .description__features,
    .problem__features,
    .solution__features {
        width: 100%;
        margin: 0 auto;
        box-sizing: border-box;
    }

    .description__feature,
    .problem__feature,
    .solution__feature {
        font-size: 14px;
        width: 100%;
        box-sizing: border-box;
    }

    .solution__feature-icon {
        width: 25px;
        height: auto;
    }

    .solution__heading {
        font-size: 30px;
    }

    .case {
        padding-bottom: 10px;
    }

    .case__wrapper {
        margin-bottom: 80px;
    }

    .case__heading {
        margin-left: 50px;
    }

    .case__cards {
        width: 100%;
        gap: 10px
    }

    .case__image {
        width: 100%;
        height: auto;
    }

    .case__text {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
        margin-left: 10px;
        margin-right: 10px;
        box-sizing: border-box;
    }
}

@media (max-width: 375px) {
    .header__subtitle {
        font-size: 30px;
    }

    .description,
    .problem {
        margin-top: 30px;
    }

    .solution {
        margin-top: 0;
        padding-top: 0;
    }

    .problem__description {
        margin: 0;
    }

    .description__text {
        margin: 30px 0;
    }

    .description__wrapper,
    .problem__wrapper,
    .solution__wrapper {
        width: calc(90% - 10px);
        margin: 0;
        padding: 0 0;
        box-sizing: border-box;
    }

    .description__features,
    .problem__features,
    .solution__features,
    .case__cards {
        width: 100%;
        flex-wrap: wrap;
        margin: 0 auto;
        box-sizing: border-box;
    }

    .description__feature,
    .problem__feature,
    .solution__feature {
        font-size: 14px;
        width: 100%;
        box-sizing: border-box;
    }

    .solution__feature-icon {
        width: 25px;
        height: auto;
    }

    .solution__heading {
        margin-left: 0;
        font-size: 30px;
    }

    .case__heading {
        padding: 20px;
        margin-top: 0;
        margin-left: 60px;
        box-sizing: border-box;
    }

    .case__cards {
        width: 90%;
    }

    .case__item {
        display: flex;
        margin: 0;
        padding: 20px;
    }

    .case__image {
        width: 100%;
        padding: 10px;
    }

    .case__text {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
        margin-left: 10px;
        margin-right: 10px;
        padding: 10px;
    }

    .footer__form-input,
    .footer__form-textarea,
    .footer__form-submit {
        width: 350px;
    }
}

@media (max-width: 320px) {
    .header__title {
        font-size: 44px;
    }

    .header__subtitle {
        font-size: 28px;
    }

    .description__wrapper,
    .problem__wrapper,
    .solution__wrapper
    {
        width: calc(100% - 10px);
        box-sizing: border-box;
    }

    .description,
    .problem {
        width: 100%;
        margin-top: 0;
        margin-bottom: 0;
    }

    .problem__description {
        margin-top: 30px;
    }

    .solution {
        display: flex;
        margin-top: 30px;
        flex-wrap: wrap;
        align-items: flex-start;
        align-content: center;
        flex-direction: column;
        justify-content: flex-start;
    }

    .solution__heading {
        font-size: 23px;
    }

    .solution__description {
        font-size: 22px;
    }

    .case__wrapper {
        padding: 10px;
    }

    .case__heading {
        padding: 20px;
    }


    .case__image {
        display: flex;
        margin: 0;
        justify-content: center;
    }

    .case__item {
        align-items: center;
        padding: 0 20px;
        margin-left: 0;
    }

    .footer__form-input,
    .footer__form-textarea,
    .footer__form-submit {
        width: 300px;
    }
}